Skip to main content
GET
/
{alias}
/
catalog
/
collections
/
{id}
Visualizar coleção
curl --request GET \
  --url https://api.dooki.com.br/v2/{alias}/catalog/collections/{id} \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>'
import requests

url = "https://api.dooki.com.br/v2/{alias}/catalog/collections/{id}"

headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};

fetch('https://api.dooki.com.br/v2/{alias}/catalog/collections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "parent_id": 123,
  "active": true,
  "show_banners": true,
  "featured": true,
  "is_promotional": true,
  "name": "<string>",
  "visible_products": 123,
  "home": true,
  "expired": true,
  "slug": "<string>",
  "description": "<string>",
  "seo_title": "<string>",
  "seo_keywords": "<string>",
  "seo_description": "<string>",
  "path": "<string>",
  "expire_in": "<string>",
  "total_products": 123
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

id
integer
required

ID da coleção

Response

Detalhes da coleção

Representa uma coleção a qual um produto pertence

id
integer
parent_id
integer
active
boolean
show_banners
boolean
is_promotional
boolean
name
string
visible_products
integer
home
boolean
expired
boolean
slug
string
description
string
seo_title
string
seo_keywords
string
seo_description
string
path
string

Caminho relativo para o recurso.

expire_in
string

Tempo restante até a expiração, descrito em formato textual (ex.: 'dentro de 998 anos').

total_products
integer

Número total de produtos relacionados ao recurso.